OBS and debian

For debian 7 and 8 builds I keep getting the following lintian warning:

 non-native-package-with-native-version

Now if I change the dsc file to 3.0 (native) or 3.0 (quilt) I get other errors. Also using the tar_scm service doesn’t seem to provide a method for which to append a revision to the versionformat or version number.